> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI Content Cost Estimate Route

> Returns the estimated cost for the specified AI content job.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/jobs/ai-content/estimate
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/jobs/ai-content/estimate:
    get:
      summary: Estimate AI Content Cost
      description: Returns the estimated cost for the specified AI content job.
      operationId: estimateAIContentCost
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
            description: Transcription job ID.
      responses:
        '200':
          description: Cost estimate retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                  data:
                    type: number
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````